std::default_delete< _Tp[]> Struct Template Reference
Pointer Abstractions

## Public Member Functions

template<typename _Up , typename = typename enable_if<!__is_derived_Tp<_Up>::value>::type>
| default_delete (const default_delete< _Up[]> &) noexcept
void | operator() (_Tp *__ptr) const
template<typename _Up >
enable_if< __is_derived_Tp < _Up >::value >::type | operator() (_Up *) const =delete

## Detailed Description

### template<typename _Tp>
struct std::default_delete< _Tp[]>

Specialization, default_delete.

Definition at line 75 of file unique_ptr.h.

The documentation for this struct was generated from the following file:

- unique_ptr.h